## glib2.0 2.80.0

=== debian/changelog ===
glib2.0 (2.80.0-6ubuntu1) noble; urgency=medium

  * debian/control, debian/rules:
    - revert the recent change to enable the sysprof option, it's blocking
      the proposed migration and probably is ffe material.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Apr 2024 20:50:56 +0200

glib2.0 (2.80.0-6build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:08:07 +0000

glib2.0 (2.80.0-6) experimental; urgency=medium

  * Bump Breaks/Replaces older libglib2.0-0 since some people used 2.79.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Mar 2024 13:00:19 -0400

glib2.0 (2.80.0-5) experimental; urgency=medium

  * Merge packaging from unstable
    - Reinstate tests on 32-bit non-x86.
      The required packages have become available now.
  * Build with sysprof instrumentation on architectures that have it.
    This currently means release architectures, plus the powerpc and ppc64
    ports. Make it possible to disable this with a (non-reproducible)
    build profile, to facilitate re-bootstrapping.

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Mar 2024 18:21:29 +0000

glib2.0 (2.80.0-4) experimental; urgency=medium

  * d/emulated-g-ir-tool.in: Rename from cross-g-ir-tool.in.
    This makes it consistent with the template of the same name in
    gobject-introspection.
  * d/emulated-g-ir-tool.in: Fix qemu-user invocation.
    Previously, the gi- tools generated from this template only worked on
    systems that could run the tool directly via binfmt_misc. Now they invoke
    qemu-user explicitly, as intended.

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Mar 2024 18:56:39 +0000

glib2.0 (2.80.0-3) experimental; urgency=medium

  * Merge packaging from unstable
    - d/control: libglib2.0-0t64 Breaks/Replaces a constant version of
      libglib2.0-0
    - d/control: Bring back libglib2.0-0 as a transitional package
  * d/p/girparser-Don-t-assume-sizeof-size_t-sizeof-void.patch,
    d/p/girparser-Allow-time_t-off_t-etc.-to-appear-in-GIR-XML.patch,
    d/p/girparser-Make-sizes-in-integer_aliases-more-obviously-co.patch,
    d/p/girparser-Adjust-signedness-to-avoid-compiler-warnings.patch,
    d/p/girparser-Add-a-pseudo-doc-comment-for-signedness.patch:
    Add patches to make gi-compile-repository compatible with versions of
    g-ir-scanner where #1066032 has been fixed
  * Bump build-dependency on gobject-introspection to ensure that our
    typelibs are generated with #1066032 fixed

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Mar 2024 13:51:03 +0000

glib2.0 (2.80.0-2) experimental; urgency=medium

  * Use host-architecture gi-compile-repository, etc. when cross-compiling.
    When setting up the cross wrappers for gi-compile-repository, etc. I had
    assumed that gi-compile-repository was a simple transformation from
    GIR XML into binary, which varied only by its endianness. Unfortunately,
    it is not: it also transforms abstract types such as size_t into
    equivalent fixed-size types such as guint64, which requires knowledge
    of the size of each type.
    Instead of running the build architecture gi-compile-repository and
    telling it to use the host architecture search path, install upstream's
    gi-compile-repository etc. into ${pkglibdir}, and set up cross wrappers
    that will automatically detect whether we can run them directly or
    whether we must use qemu-user. This is not "pure" cross-compilation,
    but it's the best we can do.
    This means that the build and host OS must match, but it does have the
    side benefit that we no longer require the build and host endianness to
    be the same, because everything that interacts the typelib is now a
    host binary (possibly running under qemu). (Closes: #1066904)
  * Temporarily skip all tests on 32-bit non-x86 architectures, to avoid
    circular dependencies during the t64 transition

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Mar 2024 15:11:52 +0000

glib2.0 (2.80.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Don't build installed tests when we're not building installed tests

  [ Steve Langasek ]
  * Don't call makeshlibs for a package that isn't built

  [ Simon McVittie ]
  * Merge packaging from unstable
    - d/control: libglib2.0-dev Suggests gir1.2-glib-2.0-dev in preference
      to libgirepository1.0-dev, for multi-arch co-installability.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 18:31:35 -0500

glib2.0 (2.79.3-3) experimental; urgency=medium

  * Merge pending packaging from unstable
    - Mention #1065280 in 2.79.3-1 changelog entry
  * d/libglib2.0-0t64.preinst: Remove libglib2.0-0 postrm to avoid file loss
    during the time64 transition (Closes: #1065022)
  * d/tests/manual/1065022.sh: Add a manual reproducer for #1065022
  * d/libglib2.0-0t64.postrm: Only clean up giomodule.cache during purge.
    This matches the behaviour that we have had for gschemas.compiled
    since 2012, with similar reasoning: if we remove this file during
    remove, then during upgrades there is a window between old-postrm
    and new-postinst during which giomodule.cache is missing.
  * d/libglib2.0-0t64.postrm: Avoid recurrence of #1065022 in the future.
    If at some point in the future we have another transition as extensive
    as time64, then libglib2.0-0t64 could conceivably be replaced by
    some other package, for example libglib2.0-0xyz. If that happens,
    we need to avoid deletion of gschemas.compiled and giomodule.cache,
    otherwise we will have another bug similar to #1065022.
  * d/tests/1065022-futureproofing: Add a test for recurrence of #1065022.
    This test-case depends on several implementation details which
    might cause it to regress for reasons that are not genuinely
    release-critical, so it is marked as flaky.

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Mar 2024 23:07:12 +0000

glib2.0 (2.79.3-2) experimental; urgency=medium


