=== debian/control ===
Source: glib2.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Simon McVittie <smcv@debian.org>
Build-Depends: dbus-daemon <!nocheck> <!noinsttest>,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               dh-sequence-python3,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.22.5),
               gettext,
               libdbus-1-dev <!nocheck> <!noinsttest>,
               libelf-dev,
               libffi-dev,
               libmount-dev [linux-any],
               libpcre2-dev,
               libselinux1-dev [linux-any],
               libxml2-utils,
               linux-libc-dev [linux-any],
               meson (>= 1.2.0),
               pkgconf,
               python3-docutils <!nodoc>,
               python3-packaging:native,
               python3:native,
               xsltproc,
               zlib1g-dev
Build-Depends-Arch: desktop-file-utils <!nocheck>,
                    dh-sequence-gir <!nogir>,
                    gobject-introspection (>= 1.78.1-18~) <!nogir>,
                    locales <!nocheck> | locales-all <!nocheck>,
                    python3-dbus <!nocheck>,
                    python3-gi <!nocheck>,
                    qemu-user <cross !nogir>,
                    shared-mime-info <!nocheck>,
                    tzdata <!nocheck>,
                    xterm <!nocheck>
Build-Depends-Indep: gi-docgen <!nodoc>,
                     gobject-introspection (>= 1.78.1-18~) <!nodoc>,
                     qemu-user <cross !nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://wiki.gnome.org/Projects/GLib
Vcs-Browser: https://salsa.debian.org/gnome-team/glib
Vcs-Git: https://salsa.debian.org/gnome-team/glib.git

# Built on 64-bit architectures with buildds, plus i386
Package: libglib2.0-0
Section: oldlibs
Architecture: alpha amd64 arm64 hurd-amd64 i386 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Multi-Arch: same
Depends: libglib2.0-0t64 (>= ${binary:Version}),
         ${misc:Depends},
Description: GLib library of C routines - transitional package
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This transitional package helps to upgrade systems that did not break ABI
 during the 64-bit time_t transition. It can be removed when there are no
 longer any packages that depend on it.

Package: libglib2.0-0t64
Replaces: libglib2.0-0 (<< 2.79.4)
Architecture: any
Provides: ${t64:Provides},
          libgio-2.0-0 (= ${binary:Version}),
          libglib-2.0-0 (= ${binary:Version}),
          libgmodule-2.0-0 (= ${binary:Version}),
          libgobject-2.0-0 (= ${binary:Version}),
          libgthread-2.0-0 (= ${binary:Version}),
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libglib2.0-data,
            shared-mime-info,
            xdg-user-dirs,
Breaks: glib-networking-tests (<< 2.70.0~),
        gnome-keyring (<< 40.0-3~),
        libedataserver-1.2-26 (<< 3.44.3-2~),
        libgladeui-2-6 (<< 3.22.2),
        libglib2.0-0 (<< 2.79.4),
        libsoup2.4-tests (<< 2.72.0-3~),
Suggests: low-memory-monitor
Multi-Arch: same
Description: GLib library of C routines
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the shared libraries.

# Build if (!noinsttest) && (!nogir)
Package: libglib2.0-tests
Build-Profiles: <!noinsttest !nogir>
Architecture: any
Depends: desktop-file-utils,
         gir1.2-glib-2.0,
         libglib2.0-bin,
         libglib2.0-dev-bin,
         python3-dbus,
         python3-dbusmock,
         python3-gi,
         shared-mime-info,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: xdg-desktop-portal,
Description: GLib library of C routines - installed tests
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: libglib2.0-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GLib library of C routines - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the minimal runtime library needed by the Debian
 installer.

Package: libglib2.0-bin
Section: misc
Architecture: any
Depends: libglib2.0-data,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: Programs for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the program files which is used for the libraries
 and others.

Package: libglib2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libffi-dev,
         libglib2.0-0t64 (= ${binary:Version}),
         libglib2.0-bin (= ${binary:Version}),
         libglib2.0-dev-bin (= ${binary:Version}),
         libglib2.0-dev-bin-${local:DEB-HOST-ARCH-OS} (= ${binary:Version}),
         libmount-dev [linux-any],
         libpcre2-dev,
         libselinux1-dev [linux-any],
         pkgconf,
         python3 | qemu-user [linux-any] | qemu-user-static [linux-any],
         zlib1g-dev,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: libglib2.0-0-dbg (<< 2.51.4-1~)
Replaces: libglib2.0-0-dbg (<< 2.51.4-1~)
Suggests: gir1.2-glib-2.0-dev,
          libglib2.0-doc
Description: Development files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0t64,
 as only it includes the header files and static libraries (optionally)
 needed for compiling.
 .
 GObject-Introspection metadata for this library can be found in the
 libgirepository1.0-dev package.

Package: libglib2.0-dev-bin
Section: libdevel
Architecture: any
Depends: python3-packaging,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: libgdk-pixbuf2.0-bin,
          libxml2-utils
Provides: libglib2.0-dev-bin-${local:DEB-HOST-ARCH-OS} (= ${binary:Version}),
Multi-Arch: foreign
Description: Development utilities for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0. It contains
 development utilities typically run during compilation and should not be
 installed directly. Use libglib2.0-dev instead.

Package: libglib2.0-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common files for GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libglib2.0-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: Documentation files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the HTML documentation for the GLib library
 in /usr/share/doc/libglib2.0-doc/ .

Package: libgirepository-2.0-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GLib runtime library for handling GObject introspection data
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the shared library used by language bindings such
 as PyGObject and gjs to call GObject methods.

Package: libgirepository-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development files for the GObject introspection library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libgirepository-2.0-0.

Package: gir1.2-glib-2.0
Build-Profiles: <!nogir>
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Breaks: libgirepository-1.0-1 (<< 1.78.1-3~),
Description: Introspection data for GLib, GObject, Gio and GModule
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 This package contains the introspection data for the GLib, GObject,
 GModule and Gio libraries, in the typelib format used to generate
 bindings for dynamic languages like JavaScript and Python.

Package: gir1.2-glib-2.0-dev
Build-Profiles: <!nogir>
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-glib-2.0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Breaks: libgirepository-1.0-1 (<< 1.78.1-3~),
        libgirepository1.0-dev (<< 1.78.1-7~),
Replaces: libgirepository1.0-dev (<< 1.78.1-7~),
Description: GIR XML for GLib, GObject, Gio and GModule
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 This package contains the introspection data for the GLib, GObject,
 GModule and Gio libraries, in the GIR XML format used to generate
 bindings for static languages like C++, D and Haskell.

Package: gir1.2-girepository-3.0
Build-Profiles: <!nogir>
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
Description: Introspection data for GIRepository library, API version 3.0
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 This package contains the introspection data for the GIRepository library,
