## glib2.0 2.80.1

=== debian/changelog ===
glib2.0 (2.80.1-1deepin1) unstable; urgency=medium

  * Revert 64-bit time_t changes.
  * Reapply d/patches/fix-gio-trash-handle-long-file-name-fail.patch.
  * Reapply d/patches/fix-test-timeout.patch.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 09 May 2024 13:24:51 +0800

glib2.0 (2.80.1-1) unstable; urgency=medium

  * New upstream stable release
  * d/patches: Drop patches that were applied upstream
  * Update symlinks and doc-base files for new naming scheme.
    Each documentation module now gets installed with a -2.0 suffix.
  * d/rules: Fix urlmap.js references in gi-docgen-generated documentation
  * d/p/gdbusconnection-Fix-test-signal-subscription-ordering.patch:
    Add patch from upstream to resolve an intermittent test failure after
    fixing CVE-2024-34397
  * d/p/gdbusconnection-Allow-name-owners-to-have-the-syntax-of-a.patch:
    Relax name owner checks to avoid a regression in ibus.
    Fixing CVE-2024-34397 caused a regression in ibus affecting text
    entry with non-trivial input methods.
    (Closes: #1070730, #1070736, #1070743, #1070745, #1070749)

 -- Simon McVittie <smcv@debian.org>  Wed, 08 May 2024 14:00:23 +0100

glib2.0 (2.80.0-10) unstable; urgency=high

  * Team upload
  * d/patches: Add GDBus security fixes intended to be in 2.80.1
    - If local users send signals on the D-Bus system bus that spoof a
      trusted sender, do not deliver them to signal subscriptions for the
      trusted sender's well-known bus name (CVE-2024-34397)
    - Fix a use-after-free when subscribing to signals with an arg0
      match rule, originally from 2.79.0 and necessary to make the test
      for CVE-2024-34397 pass reliably
    - Add a local backport of g_set_str(), required by the above
    - Add proposed fix for a race condition that can cause a unit test
      to regress after the above
  * d/control: Add Breaks on gnome-shell (<< 44.9-2~).
    The security fix breaks screen recording and screencasting in older
    versions, so we should make sure both changes migrate together.
  * Set high urgency for security fix

 -- Simon McVittie <smcv@debian.org>  Mon, 06 May 2024 23:06:18 +0100

glib2.0 (2.80.0-9) unstable; urgency=medium

  * Really upload to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 04 May 2024 12:35:50 -0400

glib2.0 (2.80.0-8) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 04 May 2024 12:19:49 -0400

glib2.0 (2.80.0-7) experimental; urgency=medium

  [ Simon McVittie ]
  * Revert addition of libglib2.0-0 transitional package. (LP: #2063221)
    Because it didn't have a Pre-Depends on the replacement, it resulted
    in GLib libraries being absent for an extended period, which is
    problematic. Thanks to Julian Andres Klode.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Apr 2024 12:00:34 -0400

glib2.0 (2.78.4-7) unstable; urgency=medium

  [ Simon McVittie ]
  * Revert addition of libglib2.0-0 transitional package. (LP: #2063221)
    Because it didn't have a Pre-Depends on the replacement, it resulted
    in GLib libraries being absent for an extended period, which is
    problematic. Thanks to Julian Andres Klode.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Apr 2024 12:00:34 -0400
