=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Simon McVittie <smcv@debian.org>
 Build-Depends: dbus-daemon <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
@@ -10,7 +9,6 @@
                dh-sequence-python3,
                docbook-xml,
                docbook-xsl,
-               dpkg-dev (>= 1.22.5),
                gettext,
                libdbus-1-dev <!nocheck> <!noinsttest>,
                libelf-dev,
@@ -18,6 +16,7 @@
                libmount-dev [linux-any],
                libpcre2-dev,
                libselinux1-dev [linux-any],
+               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64] <!pkg.glib2.0.nosysprof>,
                libxml2-utils,
                linux-libc-dev [linux-any],
                meson (>= 1.2.0),
@@ -46,27 +45,9 @@
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
 Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
 
-# Built on 64-bit architectures with buildds, plus i386
 Package: libglib2.0-0
-Section: oldlibs
-Architecture: alpha amd64 arm64 hurd-amd64 i386 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64
-Multi-Arch: same
-Depends: libglib2.0-0t64 (>= ${binary:Version}),
-         ${misc:Depends},
-Description: GLib library of C routines - transitional package
- GLib is a library containing many useful C routines for things such
- as trees, hashes, lists, and strings.  It is a useful general-purpose
- C library used by projects such as GTK+, GIMP, and GNOME.
- .
- This transitional package helps to upgrade systems that did not break ABI
- during the 64-bit time_t transition. It can be removed when there are no
- longer any packages that depend on it.
-
-Package: libglib2.0-0t64
-Replaces: libglib2.0-0 (<< 2.79.4)
-Architecture: any
-Provides: ${t64:Provides},
-          libgio-2.0-0 (= ${binary:Version}),
+Architecture: any
+Provides: libgio-2.0-0 (= ${binary:Version}),
           libglib-2.0-0 (= ${binary:Version}),
           libgmodule-2.0-0 (= ${binary:Version}),
           libgobject-2.0-0 (= ${binary:Version}),
@@ -78,9 +59,10 @@
             xdg-user-dirs,
 Breaks: glib-networking-tests (<< 2.70.0~),
         gnome-keyring (<< 40.0-3~),
+        gnome-shell (<< 44.9-2~),
         libedataserver-1.2-26 (<< 3.44.3-2~),
         libgladeui-2-6 (<< 3.22.2),
-        libglib2.0-0 (<< 2.79.4),
+        libglib2.0-0 (<< 2.80.0-7~),
         libsoup2.4-tests (<< 2.72.0-3~),
 Suggests: low-memory-monitor
 Multi-Arch: same
@@ -152,13 +134,14 @@
 Architecture: any
 Multi-Arch: same
 Depends: libffi-dev,
-         libglib2.0-0t64 (= ${binary:Version}),
+         libglib2.0-0 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
          libglib2.0-dev-bin (= ${binary:Version}),
          libglib2.0-dev-bin-${local:DEB-HOST-ARCH-OS} (= ${binary:Version}),
          libmount-dev [linux-any],
          libpcre2-dev,
          libselinux1-dev [linux-any],
+         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64] <!pkg.glib2.0.nosysprof>,
          pkgconf,
          python3 | qemu-user [linux-any] | qemu-user-static [linux-any],
          zlib1g-dev,
@@ -174,7 +157,7 @@
  as trees, hashes, lists, and strings.  It is a useful general-purpose
  C library used by projects such as GTK+, GIMP, and GNOME.
  .
- This package is needed to compile programs against libglib2.0-0t64,
+ This package is needed to compile programs against libglib2.0-0,
  as only it includes the header files and static libraries (optionally)
  needed for compiling.
  .
@@ -313,3 +296,18 @@
  generation.
  .
  This package contains the introspection data for the GIRepository library,
+ which can be used to manipulate the search path used by language bindings
+ and load introspection data.
+
+Package: gir1.2-girepository-3.0-dev
+Build-Profiles: <!nogir>
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: gir1.2-girepository-3.0 (= ${binary:Version}),
+         ${gir:Depends},
+         ${misc:Depends},
+Description: GIR XML for GIRepository library, API version 3.0
+ GObject Introspection is a project for providing machine readable
+ introspection data of the API of C libraries. This introspection
+ data can be used in several different use cases, for example
