=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,6 @@
 DEB_LDFLAGS_MAINT_APPEND += -Wl,-O1
 
 include /usr/share/dpkg/default.mk
-
-ifeq (unstable,$(DEB_DISTRIBUTION))
-$(error This version of GLib is not yet suitable for testing/unstable)
-endif
 
 %:
 	dh $@
@@ -256,3 +252,5 @@
 DEB_CONFIGURE_FLAGS_deb += -Dman-pages=disabled
 endif
 
+ifneq ($(filter gir% %-doc,$(built_binaries)),)
+DEB_CONFIGURE_FLAGS_deb += -Dgir_dir_prefix=lib/${DEB_HOST_MULTIARCH}
