## glib2.0 2.80.3

=== debian/changelog ===
glib2.0 (2.80.3-1ubuntu1) oracular; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't enable sysprof integration in Ubuntu yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 12:16:40 -0400

glib2.0 (2.80.3-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 11:48:46 -0400

glib2.0 (2.80.2-2) unstable; urgency=medium

  * d/patches: Update to upstream glib-2-80 branch commit
    2.80.2-25-g197e2690e, excluding CI-only changes
    - Fix memory errors in GActionGroupExporter and GMenuExporter
      error-handling code paths since 2.80.1 (Closes: #1071690)
    - Fix memory leaks in early-return code paths when trashing a local file
    - Fix memory leaks in several tests
    - Fix FTBFS on -ports architectures with unusual alignment, such as m68k
    - Fix compiler warnings with gcc 14
    - Improve dependencies between build targets
  * d/control: Add missing libgir…-2.0-dev Depends on libgir…-2.0-0

 -- Simon McVittie <smcv@debian.org>  Fri, 24 May 2024 12:21:09 +0100

glib2.0 (2.80.2-1) unstable; urgency=medium

  * New upstream stable release
  * d/p/gdbusconnection-Fix-test-signal-subscription-ordering.patch,
    d/p/gdbusconnection-Allow-name-owners-to-have-the-syntax-of-a.patch:
    Drop patches that were included upstream
  * d/p/gdbusmessage-Clean-the-cached-arg0-when-setting-the-messa.patch:
    Add patch from upstream to fix a memory leak introduced in 2.80.0
  * d/libglib2.0-doc.*: Adjust for move of GVariant specification into
    glib-2.0/
  * d/changelog: Remove some inaccurate text from the 2.80.0-10 entry.
    Fixing CVE-2024-34397 in older branches required some backported
    changes from 2.80.x, but in 2.80.x those changes were already present
    upstream, so it was incorrect to list them as being new in 2.80.0-10.
  * d/control: Fix cross-references from lib*-dev to gir1.2-*-dev
    in package descriptions.
    Now that we ship the .gir files in their own packages,
    libgirepository1.0-dev is usually no longer necessary.

 -- Simon McVittie <smcv@debian.org>  Fri, 10 May 2024 11:07:44 +0100
