## glib2.0 2.80.4

=== debian/changelog ===
glib2.0 (2.80.4-1ubuntu1) oracular; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't enable sysprof integration in Ubuntu yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jul 2024 11:51:49 -0400

glib2.0 (2.80.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jul 2024 11:51:07 -0400
