=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Simon McVittie <smcv@debian.org>
 Build-Depends: dbus-daemon <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
@@ -9,6 +10,7 @@
                dh-sequence-python3,
                docbook-xml,
                docbook-xsl,
+               dpkg-dev (>= 1.22.5),
                gettext,
                libdbus-1-dev <!nocheck> <!noinsttest>,
                libelf-dev,
@@ -45,9 +47,11 @@
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
 Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
 
-Package: libglib2.0-0
-Architecture: any
-Provides: libgio-2.0-0 (= ${binary:Version}),
+Package: libglib2.0-0t64
+Replaces: libglib2.0-0 (<< 2.80.0-7~)
+Architecture: any
+Provides: ${t64:Provides},
+          libgio-2.0-0 (= ${binary:Version}),
           libglib-2.0-0 (= ${binary:Version}),
           libgmodule-2.0-0 (= ${binary:Version}),
           libgobject-2.0-0 (= ${binary:Version}),
@@ -134,14 +138,14 @@
 Architecture: any
 Multi-Arch: same
 Depends: libffi-dev,
-         libglib2.0-0 (= ${binary:Version}),
+         libglib2.0-0t64 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
          libglib2.0-dev-bin (= ${binary:Version}),
          libglib2.0-dev-bin-${local:DEB-HOST-ARCH-OS} (= ${binary:Version}),
          libmount-dev [linux-any],
          libpcre2-dev,
          libselinux1-dev [linux-any],
-         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64] <!pkg.glib2.0.nosysprof>,
+#         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64] <!pkg.glib2.0.nosysprof>,
          pkgconf,
          python3 | qemu-user [linux-any] | qemu-user-static [linux-any],
          zlib1g-dev,
@@ -157,12 +161,12 @@
  as trees, hashes, lists, and strings.  It is a useful general-purpose
  C library used by projects such as GTK+, GIMP, and GNOME.
  .
- This package is needed to compile programs against libglib2.0-0,
+ This package is needed to compile programs against libglib2.0-0t64,
  as only it includes the header files and static libraries (optionally)
  needed for compiling.
  .
- GObject-Introspection metadata for this library can be found in the
- libgirepository1.0-dev package.
+ GObject-Introspection metadata for this library is not included here, and
+ can be found in the gir1.2-glib-2.0-dev package.
 
 Package: libglib2.0-dev-bin
 Section: libdevel
@@ -228,7 +232,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libglib2.0-dev (= ${binary:Version}),
+Depends: libgirepository-2.0-0 (= ${binary:Version}),
+         libglib2.0-dev (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Development files for the GObject introspection library
@@ -237,6 +242,9 @@
  C library used by projects such as GTK+, GIMP, and GNOME.
  .
  This package is needed to compile programs against libgirepository-2.0-0.
+ .
+ GObject-Introspection metadata for this library is not included here, and
+ can be found in the gir1.2-girepository-3.0-dev package.
 
 Package: gir1.2-glib-2.0
 Build-Profiles: <!nogir>
@@ -302,12 +310,3 @@
 Package: gir1.2-girepository-3.0-dev
 Build-Profiles: <!nogir>
 Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: gir1.2-girepository-3.0 (= ${binary:Version}),
-         ${gir:Depends},
-         ${misc:Depends},
-Description: GIR XML for GIRepository library, API version 3.0
- GObject Introspection is a project for providing machine readable
- introspection data of the API of C libraries. This introspection
- data can be used in several different use cases, for example
