## glib2.0 2.82.0

=== debian/changelog ===
glib2.0 (2.82.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Aug 2024 07:05:28 -0400

glib2.0 (2.81.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libglib2.0-0t64.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Aug 2024 20:10:12 -0400

glib2.0 (2.81.1-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Aug 2024 07:26:48 -0400

glib2.0 (2.81.1-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Reinstate man pages being controlled by nodoc

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 14:37:41 -0400

glib2.0 (2.81.1-1) experimental; urgency=medium

  * New upstream release
  * debian/libglib2.0-0t64.symbols: Add new symbol
  * Explicitly enable meson 'auto' features except for glib_debug
  * Explicitly disable sysprof and libelf features for the udeb build
  * Try removing gmenumodel-test-Mark-as-flaky.patch
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 13:06:53 -0400

glib2.0 (2.81.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/copyright: Update & reorder stanzas for intended precedence
  * d/libglib2.0-0t64.symbols: Add new ABI symbols
  * d/libglib2.0-0t64.symbols: Reduce entropy
  * d/rules: systemtap option is now a feature, not a boolean
  * d/rules: Disable dtrace/systemtap for now: systemtap was apparently
    never enabled before because it needed dtrace which was not enabled

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jul 2024 13:43:57 -0400
