=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Simon McVittie <smcv@debian.org>
 Build-Depends: dbus-daemon <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
@@ -18,7 +17,7 @@
                libmount-dev [linux-any],
                libpcre2-dev,
                libselinux1-dev [linux-any],
-               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64] <!pkg.glib2.0.nosysprof>,
+               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.glib2.0.nosysprof>,
                libxml2-utils,
                linux-libc-dev [linux-any],
                meson (>= 1.2.0),
@@ -42,7 +41,7 @@
                      gobject-introspection (>= 1.78.1-18~) <!nodoc>,
                      qemu-user <cross !nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://wiki.gnome.org/Projects/GLib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
 Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
@@ -145,7 +144,7 @@
          libmount-dev [linux-any],
          libpcre2-dev,
          libselinux1-dev [linux-any],
-#         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64] <!pkg.glib2.0.nosysprof>,
+         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.glib2.0.nosysprof>,
          pkgconf,
          python3 | qemu-user [linux-any] | qemu-user-static [linux-any],
          zlib1g-dev,
@@ -310,3 +309,5 @@
 Package: gir1.2-girepository-3.0-dev
 Build-Profiles: <!nogir>
 Architecture: any
+Multi-Arch: same
+Section: libdevel
