## glib2.0 2.82.1

=== debian/changelog ===
glib2.0 (2.82.1-0ubuntu1) oracular; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Sep 2024 09:22:28 -0400
