=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Simon McVittie <smcv@debian.org>
 Build-Depends: dbus-daemon <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
@@ -307,7 +308,3 @@
  and load introspection data.
 
 Package: gir1.2-girepository-3.0-dev
-Build-Profiles: <!nogir>
-Architecture: any
-Multi-Arch: same
-Section: libdevel
