=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 	dh $@
 
 DEB_CONFIGURE_EXTRA_FLAGS =
+
+# Can be dropped when we switch to dh compat 14
+DEB_CONFIGURE_EXTRA_FLAGS += -Dauto_features=enabled
 
 ifneq ($(DEB_HOST_ARCH_ENDIAN),$(DEB_BUILD_ARCH_ENDIAN))
 $(error Cross-compiling gobject-introspection requires host endianness = build endianness)
@@ -238,19 +241,14 @@
 
 DEB_CONFIGURE_FLAGS_deb := \
 	--default-library both \
-	-Dlibelf=enabled \
+	-Ddtrace=disabled \
+	-Dglib_debug=disabled \
 	-Dlibmount=$(enable_libmount) \
 	-Dmultiarch=true \
 	-Dselinux=$(enable_selinux) \
-	-Dsystemtap=true \
+	-Dsystemtap=disabled \
 	-Dxattr=$(have_non_stub_xattr) \
 	$(NULL)
 
-ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-DEB_CONFIGURE_FLAGS_deb += -Dman-pages=enabled
-else
-DEB_CONFIGURE_FLAGS_deb += -Dman-pages=disabled
-endif
-
 ifneq ($(filter gir% %-doc,$(built_binaries)),)
 DEB_CONFIGURE_FLAGS_deb += -Dgir_dir_prefix=lib/${DEB_HOST_MULTIARCH}
